Subject: bug#8825: 24.0.50; Problem with builtin gnutls on Windows

From: Ted Zlatanov <[email-masked]>
Date: Wed, 15 Jun 2011 10:19:27 -0500

On Tue, 14 Jun 2011 19:28:37 -0400 [email-masked] wrote: 

n> I'm begining to think that the problem is in the way that gnutls
n> is called and/or its error handling.

n> When I try the test from the *scratch* buffer:

n> (require 'gnutls)
n> gnutls
n> (open-gnutls-stream "tls" "tls-buffer" "imap.aim.com" "imaps")

n> I get the *Backtrace* error:

n> Debugger entered--Lisp error: (void-function gnutls-boot)
n>   gnutls-boot(#<process tls> gnutls-x509pki (:priority "NORMAL" :hostname "imap.aim.com" :loglevel 0 :trustfiles nil :crlfiles nil :keylist nil :verify-flags nil :verify-error nil :verify-hostname-error nil :callbacks nil))
n>   gnutls-negotiate(:process #<process tls> :type gnutls-x509pki :hostname "imap.aim.com")
n>   open-gnutls-stream("tls" "tls-buffer" "imap.aim.com" "imaps")
n>   eval((open-gnutls-stream "tls-" "tls-buffer" "imap.aim.com" "imaps") nil)
n>   eval-last-sexp-1(t)
n>   eval-last-sexp(t)
n>   eval-print-last-sexp()
n>   call-interactively(eval-print-last-sexp nil nil)
n>   recursive-edit()
n>   debug(error (void-function gnutls-boot))

n> But I do get the 'tls-buffer' and a TCP ESTABLISHED connection:

n> I did get in `process-list':

n> tls		open	tls-buffer	--	     (network connection to imap.aim.com)

n> I also got an ESTALISHED TCP connection:

n>   TCP    XXX.XXX.XXX.XXX:4151       205.188.58.10:993      ESTABLISHED

This is not a GnuTLS bug, but a missing `gnutls-boot'.  I think that
will only happen if Emacs is compiled without the --with-gnutls
configure option.

Ted